# $Id: rpm-build-python.spec 346 2004-06-30 18:57:46Z cray $

Name: rpm-build-python
Version: 0.12
Release: alt3

Summary: RPM helper macros to rebuild python packages
License: GPL
Group: Development/Other

Source0: %name-%version.tar.gz
BuildArch: noarch

Requires: %_sysconfdir/rpm/macros.d
Requires: rpm-build >= 4.0.4-alt38.d
Requires: rpm >= 4.0.4-alt38.d
AutoReqProv: yes, nopython

%description
These helper macros provide possibility to rebuild
python modules by some Alt Linux Team Policy compatible way.

%prep
%setup

%build

%install
%__install -pD -m644 python $RPM_BUILD_ROOT/etc/rpm/macros.d/python
%__install -pD -m755 python.prov.py $RPM_BUILD_ROOT/usr/lib/rpm/python.prov.py
%__install -pD -m755 python.req.py $RPM_BUILD_ROOT/usr/lib/rpm/python.req.py
%__install -pD -m755 python.compileall.py $RPM_BUILD_ROOT/usr/lib/rpm/python.compileall.py
%__install -pD -m644 bdist_altrpm.py $RPM_BUILD_ROOT/usr/lib/python2.3/distutils/command/bdist_altrpm.py

unset RPM_PYTHON

%files
/etc/rpm/macros.d/python
/usr/lib/rpm/python.compileall.py
/usr/lib/rpm/python.req.py
/usr/lib/rpm/python.prov.py
/usr/lib/python2.3/distutils/command/bdist_altrpm.py

%doc python-module-SAMPLE.spec policy notes doc

%changelog
* Wed Jun 30 2004 Andrey Orlov <cray@altlinux.ru> 0.12-alt3
- Article about "Require python2.3(__future__)" added into FAQ;
- Codec declaration excluded from find req/prov python scripts;

* Wed Jun 23 2004 Andrey Orlov <cray@altlinux.ru> 0.12-alt2
- Python build utilites will be silently exit if python are not fully installed;
- Python auto Prov use *pth files now;

* Thu May 20 2004 Andrey Orlov <cray@altlinux.ru> 0.11-alt1
- Fix some python2.2 incompatibilites

* Tue May 18 2004 Andrey Orlov <cray@altlinux.ru> 0.10-alt3
- Provides detection enchanced (detect old-style <name>module.so library);
- Some historical clauses exluded from bdist_altrpm;
- Some documentation changes;

* Mon May 17 2004 Andrey Orlov <cray@altlinux.ru> 0.9-alt1
- Ready for sysiphus

* Mon May 10 2004 Andrey Orlov <cray@altlinux.ru> 0.8-alt3
- Package rebuilded to use with new rpm

* Sun Apr 25 2004 Andrey Orlov <cray@altlinux.ru> 0.8-alt2
- Some domcmentations added;

* Wed Apr 21 2004 Andrey Orlov <cray@altlinux.ru> 0.8-alt1
- Fix another "BuildNoarch Problem": BuildRequires correctly inserted now;

* Tue Apr 13 2004 Andrey Orlov <cray@altlinux.ru> 0.7-alt1
- Add BuildPreReq: python_devel = X.Y into spec setup function;
- Fix "BuildNoarch Problem"
- Add some documentation

* Sun Mar 28 2004 Andrey Orlov <cray@altlinux.ru> 0.6-alt1
- Debugging operators removed

* Sat Mar 27 2004 Andrey Orlov <cray@altlinux.ru> 0.5-alt1
- Sources put into archive
- BuildPreReq added into setup_python_module

* Thu Mar 25 2004 Andrey Orlov <cray@altlinux.ru> 0.4-alt2
- Command bdist_altrpm for distutils added;
 
* Mon Mar 15 2004 Andrey Orlov <cray@altlinux.ru> 0.3-alt2
- New bytecompiler added
- Defaults treatment enhanced

* Sun Feb 29 2004 Andrey Orlov <cray@altlinux.ru> 0.2-alt2
- Python scripts for find provides and requires added;
- New RPM macros;
- Samples of find-* added;

* Mon Feb 23 2004 Andrey Orlov <cray@altlinux.ru> 0.1-alt1
- Initial release

